%define name PyQt
%define version 2.3
%define release 1mdk
# py_ver, because modules have to be recompiled for another Python version
%define py_ver 2.0

Summary:	Python bindings for Qt.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Free
Group:		Development/Python
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.thekompany.com/projects
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libsip4-devel = %{version}
Requires:	sip = %{version}, python = %{py_ver}, libsip4

%description
Python bindings for the Qt C++ class library.


%package devel
Summary: SIP specification files for Qt.
Group: Development/Python

%description devel
The SIP specification files for the Qt class library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure \
    --with-qt-includes=/usr/lib/qt2/include \
    --with-qt-libraries=/usr/lib/qt2/lib \
    --with-qt-mocdir=/usr/lib/qt2/bin
%make
(cd doc; tar -xvfz PyQt.html.tar.gz)

%install
rm -rf %{buildroot}
make \
    DESTDIR=%{buildroot} \
    install \
    install-sip

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc NEWS README doc/PyQt examples
%{_bindir}/*
%{_libdir}/python*/site-packages/eric
%{_libdir}/python*/site-packages/libqtcmodule*.*
%{_libdir}/python*/site-packages/qt.py*

%files devel
%defattr(-, root, root, 755)
%{_datadir}/sip/qt

%changelog
* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- used sprm from  Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>

* Sun Feb 04 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.3-2mgv
- tweak %%files

* Tue Oct 10 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.2-1mgv
- mandrakization for 7.2

